Subject: RE: For the FAQ: NT PATH problems
From: "Kai Henningsen" <[email-masked]>
To: "'Kai Henningsen'" <[email-masked]>, Andrew Dalgleish <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 12 Oct 1999 17:57:51 +0200

On 12 Oct 99, at 10:06, Andrew Dalgleish wrote:

> Let me guess - you are using NT's boot loader to multiboot, correct?

Well, if booting something different less than 1% of the time counts 
as multibooting ...

> When you use the NT boot loader to boot DOS/95/98 it copies autoexec.bat
> and config.sys into c:\, and leaves them there the next time you boot
> into NT.
> NT does not execute autoexec.bat, but it does parse it for PATH
> statements.
> This means your NT environment may depend on what other OS you last
> used.

There's only one other OS, and it's only changing when I need to 
test software with another Win version, which hasn't happened in a 
_long_ time. So I don't see why the environment should change. 
Indeed, the modification date of the autoexec.bat is from 1999-09-
20, more than three weeks ago.

Plus, this doesn't explain why changing PATH does not work, 
which is the real problem (not whatever is in PATH before trying to 
change it).

> If you add the following to the start of your cygwin.bat it might help
> pin down what is going on.

I'll probably try that if it happens again. One of the peculiarities is 
that I know how to remove the problem, but not how to provoke it - 
once it's removed, it stays removed, at least for some days.

> Do you also have a ~/.bashrc and/or ~/.bash_profile?

The latter. This is it:

#! bash
echo "profile speaking"
umask 022

Regards - Kai Henningsen

-- 
http://www.cats.ms
Spuentrup CTI       Fon: +49 251 322311 0  
Windbreede 12       Fax: +49 251 322311 99
D-48157 Münster     Mob: +49 161 3223111
Germany             GSM: +49 171 7755060

--
Want to unsubscribe from this list?
Send a message to [email-masked]